<template>
	<div class="map-panel-content">
		<div class="content-item content-item-nowrap">
			蓄电池组告警数目：{{info.nums.code}}
			<a class="content-detail" href="javascript:;" @click="goBattWarn">详情>></a>
		</div>
		<div class="content-item content-item-nowrap">
			蓄电池组落后数目：{{info.nums.sum}}
			<a class="content-detail" href="javascript:;" @click="goBehind">详情>></a>
		</div>
		<div class="content-item content-item-nowrap">
			蓄电池组延时数目：{{info.nums.newsum}}
			<a class="content-detail" href="javascript:;" @click="goTimeout">详情>></a>
		</div>
		<div class="content-item">
			<el-button type="primary" size="mini" @click="goRealTime">实时数据</el-button>
			<el-button type="primary" size="mini" @click="goHistory">历史数据</el-button>
			<el-button v-if="isCanDel" type="danger" size="mini" @click="delHome">移除机房</el-button>
		</div>
		<div class="content-item">地址：{{info.Address}}</div>
	</div>
</template>

<script>
import {
	delMapHome
} from "@/assets/js/api";

export default {
	props: ['infos'],
	data() {
		return {
			isCanDel: false,
			username: sessionStorage.getItem('username'),
			info: {
				num: 369,
				StationId: "42070471",
				StationName: "贵州省-贵阳市-观山湖区-观山湖区护理学院-设备1",
				StationName3: "观山湖区护理学院",
				Address: "湖北省武汉市武昌区",
				longitude: 114.37285909,
				latitude: 30.56442241,
				information: "",
				FBSDeviceId: 910000111,
				nums: {
					code: 0,
					sum: 0,
					newsum: 0
				}
			}
		}
	},
	mounted() {
		this.info = this.infos
	},
	methods: {
		// 跳转到历史数据
		goHistory() {
			window.parent.parent.postMessage({
				cmd: "syncPage",
				params: {
					pageInfo: {
						label: "历史数据",
						name: "history",
						src: "#/history" + this.search,
						closable: true
					}
				}
			}, "*");
		},
		// 跳转到实时数据
		goRealTime() {
			window.parent.parent.postMessage({
				cmd: "syncPage",
				params: {
					pageInfo: {
						label: "实时监控",
						name: "movingRingSysteRrealTime",
						src: "#/moving-ring-system" + this.search,
						closable: true
					}
				}
			}, "*");
		},
		// 跳转告警界面
		goBattWarn() {
			window.parent.parent.postMessage({
				cmd: "syncPage",
				params: {
					pageInfo: {
						label: "电池告警实时查询",
						name: "batteryrTimequery",
						src: "#/batteryrTimequery" + this.search + '&fromType=fromIndex',
						closable: true
					}
				}
			}, "*");
		},
		// 跳转到落后机房
		goBehind() {
			this.$layer.msg('该功能暂未开启');
		},
		// 跳转到延时
		goTimeout() {
			this.$layer.msg('该功能暂未开启');
		},
		// 移除机房
		delHome() {
			let content = "确认从地图上移除" + this.info.StationName
			this.$layer.confirm(content, {
				icon: 3
			}, index => {
				this.$layer.close(index);
				let loading = this.$layer.loading(1);
				delMapHome(this.info).then(res => {
					let rs = JSON.parse(res.data.result);
					if (rs.code == 1) {
						this.$layer.msg("删除成功");
						// 关闭等待框
						this.$layer.close(loading);
						// 触发删除事件，告诉父组件
						this.$emit('delHome');
					} else {
						// 关闭等待框
						this.$layer.close(loading);
						this.$layer.msg("删除失败")
					}
				}).catch(error => {
					console.log(error)
					// 关闭等待框
					this.$layer.close(loading);
				});
			});
		},
		setInfo(info) {
			this.info = info;
		},
	},
	computed: {
		search() {
			let list = this.info.StationName.split('-');
			return '?province=' + list[0] + '&city=' + list[1] + '&county=' + list[2] + '&home=' + list[3]
		},
	},
}
</script>

<style scoped>
.map-panel-content {
	width: 300px;
}

.content-item {
	padding: 4px;
	font-size: 12px;
}

.content-item-nowrap {
	white-space: nowrap;
}

.content-detail {
	margin-left: 8px;
}
</style>